POST Agents/Sale/GetSummaryByGroup
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/Sale/GetSummaryByGroup
NsApiSlow threshold: 3000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Sale/GetSummaryByGroup?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
GroupId, FromDate, ToDate
| Property Name | Type | Description |
|---|---|---|
| GroupId | Integer | |
| FromDate | String | |
| ToDate | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SaleSummary
| Property Name | Type | Description |
|---|---|---|
| BaseCurrency | string | Default currency for the installation |
| OwnCurrency | string | Default currency for the current user |
| SoldTotalBaseCurrency | double | Summed amount for all sold within the period in default currency for the installation |
| Sold | int32 | Number of all sold within the period |
| SoldTotalOwnCurrency | double | Summed amount for all sold within the period in default currency for the current user |
| Lost | int32 | Number of all lost within the period |
| LostTotalBaseCurrency | double | Summed amount for all lost within the period in default currency for the installation |
| LostTotalOwnCurrency | double | Summed amount for all lost within the period in default currency for the current user |
| Open | int32 | Number of all open within the period |
| OpenTotalBaseCurrency | double | Summed amount for all open within the period in default currency for the installation |
| OpenTotalOwnCurrency | double | Summed amount for all open within the period in default currency for the current user |
| OpenWeightedBaseCurrency | double | Weighted sum for all open within the period in default currency for the installation |
| OpenWeightedOwnCurrency | double | Weighted sum for all open within the period in default currency for the current user |
| PreviousOverdue | int32 | Number of all open sales with date before this period |
| PreviousOverdueTotalBaseCurrency | double | Summed amount for all open sales with date before this period in default currency for the installation |
| PreviousOverdueTotalOwnCurrency | double | Summed amount for all open sales with date before this period in default currency for the current user |
| PreviousOverdueWeightedBaseCurrency | double | Weighted sum for all open sales with date before this period in default currency for the installation |
| PreviousOverdueWeightedOwnCurrency | double | Weighted sum for all open sales with date before this period in default currency for the current user |
| CurrentOverdue | int32 | Number of all overdue sales within the period |
| CurrentOverdueTotalBaseCurrency | double | Summed amount for all overdue sales within the period in default currency for the installation |
| CurrentOverdueTotalOwnCurrency | double | Summed amount for all overdue sales within the period in default currency for the current user |
| CurrentOverdueWeightedBaseCurrency | double | Weighted sum for all overdue sales within the period in default currency for the installation |
| CurrentOverdueWeightedOwnCurrency | double | Weighted sum for all overdue sales within the period in default currency for the current user |
| FutureOpen | int32 | Number of all Future Pipe/All open sales with date after the period |
| FutureOpenTotalBaseCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenTotalOwnCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the current user |
| FutureOpenWeightedBaseCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenWeightedOwnCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the current user |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Sale/GetSummaryByGroup
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"GroupId": 209,
"FromDate": "2017-07-21T10:11:01.1359754+02:00",
"ToDate": "2003-04-15T10:11:01.1359754+02:00"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"BaseCurrency": "vel",
"OwnCurrency": "fuga",
"SoldTotalBaseCurrency": 15867.442,
"Sold": 868,
"SoldTotalOwnCurrency": 25294.514,
"Lost": 582,
"LostTotalBaseCurrency": 532.78,
"LostTotalOwnCurrency": 27999.156,
"Open": 111,
"OpenTotalBaseCurrency": 24583.095999999998,
"OpenTotalOwnCurrency": 13657.972,
"OpenWeightedBaseCurrency": 28303.154,
"OpenWeightedOwnCurrency": 31083.012,
"PreviousOverdue": 493,
"PreviousOverdueTotalBaseCurrency": 12771.05,
"PreviousOverdueTotalOwnCurrency": 2262.748,
"PreviousOverdueWeightedBaseCurrency": 470.09999999999997,
"PreviousOverdueWeightedOwnCurrency": 9091.734,
"CurrentOverdue": 702,
"CurrentOverdueTotalBaseCurrency": 1990.09,
"CurrentOverdueTotalOwnCurrency": 29619.433999999997,
"CurrentOverdueWeightedBaseCurrency": 17331.02,
"CurrentOverdueWeightedOwnCurrency": 6430.968,
"FutureOpen": 707,
"FutureOpenTotalBaseCurrency": 23263.682,
"FutureOpenTotalOwnCurrency": 22649.417999999998,
"FutureOpenWeightedBaseCurrency": 7565.476,
"FutureOpenWeightedOwnCurrency": 29462.734,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 430
}
}
}